org.apache.solr.analytics.request

## Class FieldFacetRequest.FacetSortSpecification

- java.lang.Object
- - org.apache.solr.analytics.request.FieldFacetRequest.FacetSortSpecification

- Enclosing class:
    FieldFacetRequest

      public static class FieldFacetRequest.FacetSortSpecification
      extends Object

  Specifies how to sort the buckets of a field facet.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FacetSortSpecification()`
    `FacetSortSpecification(String statistic)`
    `FacetSortSpecification(String statistic, FieldFacetRequest.FacetSortDirection direction)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FieldFacetRequest.FacetSortSpecification` | `fromExternal(String spec)`
    `FieldFacetRequest.FacetSortDirection` | `getDirection()`
    `String` | `getStatistic()`
    `void` | `setDirection(FieldFacetRequest.FacetSortDirection direction)`
    `void` | `setStatistic(String statistic)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FacetSortSpecification

          public FacetSortSpecification()

    - #### FacetSortSpecification

          public FacetSortSpecification(String statistic)

      Parameters:
        `statistic` - The name of a statistic specified in the `AnalyticsRequest` which is wrapping the `FieldFacetRequest` being sorted.

    - #### FacetSortSpecification

          public FacetSortSpecification(String statistic,
                                        FieldFacetRequest.FacetSortDirection direction)

  - ### Method Detail

    - #### getStatistic

          public String getStatistic()

    - #### setStatistic

          public void setStatistic(String statistic)

    - #### getDirection

          public FieldFacetRequest.FacetSortDirection getDirection()

    - #### setDirection

          public void setDirection(FieldFacetRequest.FacetSortDirection direction)

    - #### fromExternal

          public static FieldFacetRequest.FacetSortSpecification fromExternal(String spec)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.